import Parse from "../parse";
import { addEvent } from "../helpers";

class MobileRich extends Parse {
  constructor(option = { platform: "mobile" }) {
    super(option);
    this.images = [];
    this.lazyLoad = false;
    this.unbindImageEvents = () => {};
    this.clientHeight = 0;
  }

  renderImage(props) {
    return `<div class="image-div"><img src=${props.url} data-src="${
      props.url
    }" alt="${props.desc}"><div>${props.desc || ""}</div></div>`;
  }

  renderLink(props) {
    // return `<p><a href="${props.url}" target="_blank">${props.text}</a></p>`;
    return `<a href="${
      props.route.webUrl || props.route.webURL
    }" target="_blank">${props.content}</a>`;
  }

  renderVideo(props) {
    return `<div class="video-div"><video controls='controls'>
      <source src="${props.url}">
    </video></div>`;
  }
}

export default MobileRich;
